<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		  
       //quiero apceder a esos tds
       //querySelector() devuelve un elemento
       //querySelectorall() devuelve un array
          function inicio{
          
           let celdas=[];

         celdas=document.querySelectorAll("td");
         celdas[0].innerHTML="lo que queremos";
         celdas[1].style.backgroundColor ="#CCC";



         // o tambien asi
         $("td");
        }

           function cambia(posicion){
                  
              let celdas=[];

               celdas=document.querySelectorAll("td");

      	       celdas[posicion].style.backgroundColor = 'RED';
               celdas[posicion].style.Color = 'white';

           }


	</script>
</head>
 <body onload="inicio()">
	<table  border="2">

      <tr>
      	<td onclick="cambia(0)">1</td>
        <td onclick="cambia(1)">2</td>
        <td onclick="cambia(2)">3</td>
        <td onclick="cambia(3)">4</td>
        <td onclick="cambia(4)">5</td>
       
      </tr>

          


	</table>
</body>
</html>